.flatpickr-calendar {
	-webkit-animation: none;
	animation: none;
	background: transparent;
	background: #fff;
	border: 0;
	border-radius: 5px;
	-webkit-box-shadow: 1px 0 0 #e6e6e6, -1px 0 0 #e6e6e6, 0 1px 0 #e6e6e6, 0 -1px 0 #e6e6e6, 0 3px 13px rgba(0, 0, 0, 0.08);
	box-shadow: 1px 0 0 #e6e6e6, -1px 0 0 #e6e6e6, 0 1px 0 #e6e6e6, 0 -1px 0 #e6e6e6, 0 3px 13px rgba(0, 0, 0, 0.08)
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	direction: ltr;
	display: none;
	font-size: 14px;
	line-height: 24px;
	opacity: 0;
	padding: 0;
	position: absolute;
	text-align: center;
	-ms-touch-action: manipulation;
	touch-action: manipulation;
	visibility: hidden;
	width: 307.875px;
}

.flatpickr-calendar.open,
.flatpickr-calendar.inline {
	max-height: 640px;
	opacity: 1;
	visibility: visible
}

.flatpickr-calendar.open {
	display: inline-block;
	z-index: 99999
}

.flatpickr-calendar.animate.open {
	-webkit-animation: fpFadeInDown 300ms cubic-bezier(.23, 1, .32, 1);
	animation: fpFadeInDown 300ms cubic-bezier(.23, 1, .32, 1)
}

.flatpickr-calendar.inline {
	display: block;
	position: relative;
	top: 2px
}

.flatpickr-calendar.static {
	position: absolute;
	top: calc(100% + 2px)
}

.flatpickr-calendar.static.open {
	display: block
	z-index: 999;
}

.flatpickr-calendar.multiMonth .flatpickr-days .dayContainer:nth-child(n+1) .flatpickr-day.inRange:nth-child(7n+7) {
	-webkit-box-shadow: none !important;
	box-shadow: none !important
}

.flatpickr-calendar.multiMonth .flatpickr-days .dayContainer:nth-child(n+2) .flatpickr-day.inRange:nth-child(7n+1) {
	-webkit-box-shadow: -2px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
	box-shadow: -2px 0 0 #e6e6e6, 5px 0 0 #e6e6e6
}

.flatpickr-calendar .hasWeeks .dayContainer,
.flatpickr-calendar .hasTime .dayContainer {
	border-bottom: 0;
	border-bottom-left-radius: 0
	border-bottom-right-radius: 0;
}

.flatpickr-calendar .hasWeeks .dayContainer {
	border-left: 0
}

.flatpickr-calendar.hasTime .flatpickr-time {
	border-top: 1px solid #e6e6e6
	height: 40px;
}

.flatpickr-calendar.noCalendar.hasTime .flatpickr-time {
	height: auto
}

.flatpickr-calendar:before,
.flatpickr-calendar:after {
	border: solid transparent;
	content: '';
	display: block;
	height: 0;
	left: 22px
	pointer-events: none;
	position: absolute;
	width: 0;
}

.flatpickr-calendar.rightMost:before,
.flatpickr-calendar.arrowRight:before,
.flatpickr-calendar.rightMost:after,
.flatpickr-calendar.arrowRight:after {
	left: auto;
	right: 22px
}

.flatpickr-calendar.arrowCenter:before,
.flatpickr-calendar.arrowCenter:after {
	left: 50%;
	right: 50%
}

.flatpickr-calendar:before {
	border-width: 5px;
	margin: 0 -5px
}

.flatpickr-calendar:after {
	border-width: 4px;
	margin: 0 -4px
}

.flatpickr-calendar.arrowTop:before,
.flatpickr-calendar.arrowTop:after {
	bottom: 100%
}

.flatpickr-calendar.arrowTop:before {
	border-bottom-color: #e6e6e6
}

.flatpickr-calendar.arrowTop:after {
	border-bottom-color: #fff
}

.flatpickr-calendar.arrowBottom:before,
.flatpickr-calendar.arrowBottom:after {
	top: 100%
}

.flatpickr-calendar.arrowBottom:before {
	border-top-color: #e6e6e6
}

.flatpickr-calendar.arrowBottom:after {
	border-top-color: #fff
}

.flatpickr-calendar:focus {
	outline: 0
}

.flatpickr-wrapper {
	display: inline-block
	position: relative;
}

.flatpickr-months {
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex
}

.flatpickr-months .flatpickr-month {
	background: transparent;
	-webkit-box-flex: 1;
	color: rgba(0, 0, 0, 0.9);
	fill: rgba(0, 0, 0, 0.9);
	-ms-flex: 1;
	-webkit-flex: 1;
	flex: 1
	height: 34px;
	line-height: 1;
	overflow: hidden;
	position: relative;
	text-align: center;
	-moz-user-select: none;
	-ms-user-select: none;
	-webkit-user-select: none;
	user-select: none;
}

.flatpickr-months .flatpickr-prev-month,
.flatpickr-months .flatpickr-next-month {
	color: rgba(0, 0, 0, 0.9);
	cursor: pointer;
	fill: rgba(0, 0, 0, 0.9)
	height: 34px;
	padding: 10px;
	position: absolute;
	text-decoration: none;
	top: 0;
	-moz-user-select: none;
	-ms-user-select: none;
	-webkit-user-select: none;
	user-select: none;
	z-index: 3;
}

.flatpickr-months .flatpickr-prev-month.flatpickr-disabled,
.flatpickr-months .flatpickr-next-month.flatpickr-disabled {
	display: none
}

.flatpickr-months .flatpickr-prev-month i,
.flatpickr-months .flatpickr-next-month i {
	position: relative
}

.flatpickr-months .flatpickr-prev-month.flatpickr-prev-month,
.flatpickr-months .flatpickr-next-month.flatpickr-prev-month {
	/*
	  /*rtl:begin:ignore*/
	left: 0 /*
      /*rtl:end:ignore*/
}

/*
      /*rtl:begin:ignore*/
/*
      /*rtl:end:ignore*/
.flatpickr-months .flatpickr-prev-month.flatpickr-next-month,
.flatpickr-months .flatpickr-next-month.flatpickr-next-month {
	/*
	  /*rtl:begin:ignore*/
	right: 0 /*
      /*rtl:end:ignore*/
}

/*
      /*rtl:begin:ignore*/
/*
      /*rtl:end:ignore*/
.flatpickr-months .flatpickr-prev-month:hover,
.flatpickr-months .flatpickr-next-month:hover {
	color: #959ea9
}

.flatpickr-months .flatpickr-prev-month:hover svg,
.flatpickr-months .flatpickr-next-month:hover svg {
	fill: #f64747
}

.flatpickr-months .flatpickr-prev-month svg,
.flatpickr-months .flatpickr-next-month svg {
	height: 14px
	width: 14px;
}

.flatpickr-months .flatpickr-prev-month svg path,
.flatpickr-months .flatpickr-next-month svg path {
	fill: inherit
	-webkit-transition: fill .1s;
	transition: fill .1s;
}

.numInputWrapper {
	height: auto
	position: relative;
}

.numInputWrapper input,
.numInputWrapper span {
	display: inline-block
}

.numInputWrapper input {
	width: 100%
}

.numInputWrapper input::-ms-clear {
	display: none
}

.numInputWrapper input::-webkit-outer-spin-button,
.numInputWrapper input::-webkit-inner-spin-button {
	-webkit-appearance: none
	margin: 0;
}

.numInputWrapper span {
	border: 1px solid rgba(57, 57, 57, 0.15);
	-webkit-box-sizing: border-box;
	box-sizing: border-box
	cursor: pointer;
	height: 50%;
	line-height: 50%;
	opacity: 0;
	padding: 0 4px 0 2px;
	position: absolute;
	right: 0;
	width: 14px;
}

.numInputWrapper span:hover {
	background: rgba(0, 0, 0, 0.1)
}

.numInputWrapper span:active {
	background: rgba(0, 0, 0, 0.2)
}

.numInputWrapper span:after {
	content: "";
	display: block;
	position: absolute
}

.numInputWrapper span.arrowUp {
	border-bottom: 0
	top: 0;
}

.numInputWrapper span.arrowUp:after {
	border-bottom: 4px solid rgba(57, 57, 57, 0.6);
	border-left: 4px solid transparent;
	border-right: 4px solid transparent;
	top: 26%
}

.numInputWrapper span.arrowDown {
	top: 50%
}

.numInputWrapper span.arrowDown:after {
	border-left: 4px solid transparent;
	border-right: 4px solid transparent;
	border-top: 4px solid rgba(57, 57, 57, 0.6);
	top: 40%
}

.numInputWrapper span svg {
	height: auto
	width: inherit;
}

.numInputWrapper span svg path {
	fill: rgba(0, 0, 0, 0.5)
}

.numInputWrapper:hover {
	background: rgba(0, 0, 0, 0.05)
}

.numInputWrapper:hover span {
	opacity: 1
}

.flatpickr-current-month {
	color: inherit;
	display: inline-block;
	font-size: 135%;
	font-weight: 300;
	height: 34px;
	left: 12.5%;
	line-height: inherit;
	line-height: 1;
	padding: 7.48px 0 0 0;
	position: absolute;
	text-align: center;
	-webkit-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0)
	width: 75%;
}

.flatpickr-current-month span.cur-month {
	color: inherit;
	display: inline-block;
	font-family: inherit;
	font-weight: 700;
	margin-left: .5ch;
	padding: 0
}

.flatpickr-current-month span.cur-month:hover {
	background: rgba(0, 0, 0, 0.05)
}

.flatpickr-current-month .numInputWrapper {
	display: inline-block
	width: 7ch \0;
	width: 6ch;
}

.flatpickr-current-month .numInputWrapper span.arrowUp:after {
	border-bottom-color: rgba(0, 0, 0, 0.9)
}

.flatpickr-current-month .numInputWrapper span.arrowDown:after {
	border-top-color: rgba(0, 0, 0, 0.9)
}

.flatpickr-current-month input.cur-year {
	-moz-appearance: textfield;
	-webkit-appearance: textfield;
	appearance: textfield
	background: transparent;
	border: 0;
	border-radius: 0;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	color: inherit;
	cursor: text;
	display: inline-block;
	font-family: inherit;
	font-size: inherit;
	font-weight: 300;
	height: auto;
	line-height: inherit;
	margin: 0;
	padding: 0 0 0 .5ch;
	vertical-align: initial;
}

.flatpickr-current-month input.cur-year:focus {
	outline: 0
}

.flatpickr-current-month input.cur-year[disabled],
.flatpickr-current-month input.cur-year[disabled]:hover {
	background: transparent;
	color: rgba(0, 0, 0, 0.5);
	font-size: 100%;
	pointer-events: none
}

.flatpickr-current-month .flatpickr-monthDropdown-months {
	-moz-appearance: menulist;
	-webkit-appearance: menulist;
	appearance: menulist;
	background: transparent;
	border: none;
	border-radius: 0;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	color: inherit;
	cursor: pointer;
	font-family: inherit;
	font-size: inherit;
	font-weight: 300;
	height: auto;
	line-height: inherit;
	margin: -1px 0 0 0;
	outline: none;
	padding: 0 0 0 .5ch;
	position: relative;
	vertical-align: initial;
	width: auto
}

.flatpickr-current-month .flatpickr-monthDropdown-months:focus,
.flatpickr-current-month .flatpickr-monthDropdown-months:active {
	outline: none
}

.flatpickr-current-month .flatpickr-monthDropdown-months:hover {
	background: rgba(0, 0, 0, 0.05)
}

.flatpickr-current-month .flatpickr-monthDropdown-months .flatpickr-monthDropdown-month {
	background-color: transparent;
	outline: none;
	padding: 0
}

.flatpickr-weekdays {
	-webkit-align-items: center;
	align-items: center;
	background: transparent;
	-webkit-box-align: center;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: center;
	height: 28px
	overflow: hidden;
	text-align: center;
	width: 100%;
}

.flatpickr-weekdays .flatpickr-weekdaycontainer {
	-webkit-box-flex: 1;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	display: -webkit-box;
	-ms-flex: 1;
	-webkit-flex: 1;
	flex: 1
}

span.flatpickr-weekday {
	background: transparent;
	-webkit-box-flex: 1;
	color: rgba(0, 0, 0, 0.54);
	cursor: default;
	display: block;
	-ms-flex: 1;
	-webkit-flex: 1;
	flex: 1;
	font-size: 90%;
	font-weight: bolder
	line-height: 1;
	margin: 0;
	text-align: center;
}

.dayContainer,
.flatpickr-weeks {
	padding: 1px 0 0 0
}

.flatpickr-days {
	-webkit-align-items: flex-start;
	align-items: flex-start;
	-webkit-box-align: start;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-ms-flex-align: start;
	overflow: hidden;
	position: relative;
	width: 307.875px
}

.flatpickr-days:focus {
	outline: 0
}

.dayContainer {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	display: inline-block;
	display: -ms-flexbox;
	display: -webkit-box;
	display: -webkit-flex;
	display: flex;
	-ms-flex-pack: justify;
	-ms-flex-wrap: wrap;
	-webkit-flex-wrap: wrap;
	flex-wrap: wrap;
	-webkit-justify-content: space-around;
	justify-content: space-around;
	max-width: 307.875px;
	min-width: 307.875px;
	opacity: 1
	outline: 0;
	padding: 0;
	text-align: left;
	-webkit-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0);
	width: 307.875px;
}

.dayContainer + .dayContainer {
	-webkit-box-shadow: -1px 0 0 #e6e6e6;
	box-shadow: -1px 0 0 #e6e6e6
}

.flatpickr-day {
	background: none;
	border: 1px solid transparent;
	border-radius: 150px;
	-webkit-box-pack: center;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	color: #393939;
	cursor: pointer;
	display: inline-block;
	-webkit-flex-basis: 14.2857143%;
	flex-basis: 14.2857143%;
	-ms-flex-pack: center;
	-ms-flex-preferred-size: 14.2857143%;
	font-weight: 400;
	height: 39px;
	-webkit-justify-content: center;
	justify-content: center;
	line-height: 39px;
	margin: 0;
	max-width: 39px;
	position: relative;
	text-align: center
	width: 14.2857143%;
}

.flatpickr-day.inRange,
.flatpickr-day.prevMonthDay.inRange,
.flatpickr-day.nextMonthDay.inRange,
.flatpickr-day.today.inRange,
.flatpickr-day.prevMonthDay.today.inRange,
.flatpickr-day.nextMonthDay.today.inRange,
.flatpickr-day:hover,
.flatpickr-day.prevMonthDay:hover,
.flatpickr-day.nextMonthDay:hover,
.flatpickr-day:focus,
.flatpickr-day.prevMonthDay:focus,
.flatpickr-day.nextMonthDay:focus {
	background: #e6e6e6;
	border-color: #e6e6e6
	cursor: pointer;
	outline: 0;
}

.flatpickr-day.today {
	border-color: #959ea9
}

.flatpickr-day.today:hover,
.flatpickr-day.today:focus {
	background: #959ea9;
	border-color: #959ea9;
	color: #fff
}

.flatpickr-day.selected,
.flatpickr-day.startRange,
.flatpickr-day.endRange,
.flatpickr-day.selected.inRange,
.flatpickr-day.startRange.inRange,
.flatpickr-day.endRange.inRange,
.flatpickr-day.selected:focus,
.flatpickr-day.startRange:focus,
.flatpickr-day.endRange:focus,
.flatpickr-day.selected:hover,
.flatpickr-day.startRange:hover,
.flatpickr-day.endRange:hover,
.flatpickr-day.selected.prevMonthDay,
.flatpickr-day.startRange.prevMonthDay,
.flatpickr-day.endRange.prevMonthDay,
.flatpickr-day.selected.nextMonthDay,
.flatpickr-day.startRange.nextMonthDay,
.flatpickr-day.endRange.nextMonthDay {
	background: #569ff7;
	border-color: #569ff7
	-webkit-box-shadow: none;
	box-shadow: none;
	color: #fff;
}

.flatpickr-day.selected.startRange,
.flatpickr-day.startRange.startRange,
.flatpickr-day.endRange.startRange {
	border-radius: 50px 0 0 50px
}

.flatpickr-day.selected.endRange,
.flatpickr-day.startRange.endRange,
.flatpickr-day.endRange.endRange {
	border-radius: 0 50px 50px 0
}

.flatpickr-day.selected.startRange + .endRange:not(:nth-child(7n+1)),
.flatpickr-day.startRange.startRange + .endRange:not(:nth-child(7n+1)),
.flatpickr-day.endRange.startRange + .endRange:not(:nth-child(7n+1)) {
	-webkit-box-shadow: -10px 0 0 #569ff7;
	box-shadow: -10px 0 0 #569ff7
}

.flatpickr-day.selected.startRange.endRange,
.flatpickr-day.startRange.startRange.endRange,
.flatpickr-day.endRange.startRange.endRange {
	border-radius: 50px
}

.flatpickr-day.inRange {
	border-radius: 0;
	-webkit-box-shadow: -5px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
	box-shadow: -5px 0 0 #e6e6e6, 5px 0 0 #e6e6e6
}

.flatpickr-day.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled:hover,
.flatpickr-day.prevMonthDay,
.flatpickr-day.nextMonthDay,
.flatpickr-day.notAllowed,
.flatpickr-day.notAllowed.prevMonthDay,
.flatpickr-day.notAllowed.nextMonthDay {
	background: transparent;
	border-color: transparent;
	color: rgba(57, 57, 57, 0.3);
	cursor: default
}

.flatpickr-day.flatpickr-disabled,
.flatpickr-day.flatpickr-disabled:hover {
	color: rgba(57, 57, 57, 0.1)
	cursor: not-allowed;
}

.flatpickr-day.week.selected {
	border-radius: 0;
	-webkit-box-shadow: -5px 0 0 #569ff7, 5px 0 0 #569ff7;
	box-shadow: -5px 0 0 #569ff7, 5px 0 0 #569ff7
}

.flatpickr-day.hidden {
	visibility: hidden
}

.rangeMode .flatpickr-day {
	margin-top: 1px
}

.flatpickr-weekwrapper {
	float: left
}

.flatpickr-weekwrapper .flatpickr-weeks {
	-webkit-box-shadow: 1px 0 0 #e6e6e6;
	box-shadow: 1px 0 0 #e6e6e6
	padding: 0 12px;
}

.flatpickr-weekwrapper .flatpickr-weekday {
	float: none;
	line-height: 28px
	width: 100%;
}

.flatpickr-weekwrapper span.flatpickr-day,
.flatpickr-weekwrapper span.flatpickr-day:hover {
	background: transparent;
	border: none
	color: rgba(57, 57, 57, 0.3);
	cursor: default;
	display: block;
	max-width: none;
	width: 100%;
}

.flatpickr-innerContainer {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	display: block;
	display: -webkit-box;
	overflow: hidden
}

.flatpickr-rContainer {
	-webkit-box-sizing: border-box;
	box-sizing: border-box
	display: inline-block;
	padding: 0;
}

.flatpickr-time {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	display: block;
	display: -webkit-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex
	height: 0;
	line-height: 40px;
	max-height: 40px;
	outline: 0;
	overflow: hidden;
	text-align: center;
}

.flatpickr-time:after {
	clear: both
	content: "";
	display: table;
}

.flatpickr-time .numInputWrapper {
	-webkit-box-flex: 1;
	-ms-flex: 1;
	-webkit-flex: 1;
	flex: 1;
	float: left
	height: 40px;
	width: 40%;
}

.flatpickr-time .numInputWrapper span.arrowUp:after {
	border-bottom-color: #393939
}

.flatpickr-time .numInputWrapper span.arrowDown:after {
	border-top-color: #393939
}

.flatpickr-time.hasSeconds .numInputWrapper {
	width: 26%
}

.flatpickr-time.time24hr .numInputWrapper {
	width: 49%
}

.flatpickr-time input {
	-moz-appearance: textfield;
	-webkit-appearance: textfield;
	appearance: textfield
	background: transparent;
	border: 0;
	border-radius: 0;
	-webkit-box-shadow: none;
	box-shadow: none;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	color: #393939;
	font-size: 14px;
	height: inherit;
	line-height: inherit;
	margin: 0;
	padding: 0;
	position: relative;
	text-align: center;
}

.flatpickr-time input.flatpickr-hour {
	font-weight: bold
}

.flatpickr-time input.flatpickr-minute,
.flatpickr-time input.flatpickr-second {
	font-weight: 400
}

.flatpickr-time input:focus {
	border: 0
	outline: 0;
}

.flatpickr-time .flatpickr-time-separator,
.flatpickr-time .flatpickr-am-pm {
	-webkit-align-self: center;
	align-self: center
	color: #393939;
	-ms-flex-item-align: center;
	float: left;
	font-weight: bold;
	height: inherit;
	line-height: inherit;
	-moz-user-select: none;
	-ms-user-select: none;
	-webkit-user-select: none;
	user-select: none;
	width: 2%;
}

.flatpickr-time .flatpickr-am-pm {
	cursor: pointer;
	font-weight: 400
	outline: 0;
	text-align: center;
	width: 18%;
}

.flatpickr-time input:hover,
.flatpickr-time .flatpickr-am-pm:hover,
.flatpickr-time input:focus,
.flatpickr-time .flatpickr-am-pm:focus {
	background: #eee
}

.flatpickr-input[readonly] {
	cursor: pointer
}

@-webkit-keyframes fpFadeInDown {
	from {
		opacity: 0;
		-webkit-transform: translate3d(0, -20px, 0);
		transform: translate3d(0, -20px, 0)
	}

	to {
		opacity: 1;
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(0, 0, 0)
	}
}

@keyframes fpFadeInDown {
	from {
		opacity: 0;
		-webkit-transform: translate3d(0, -20px, 0);
		transform: translate3d(0, -20px, 0)
	}

	to {
		opacity: 1;
		-webkit-transform: translate3d(0, 0, 0);
		transform: translate3d(0, 0, 0)
	}
}
